Controller::Controller()
{
  size = 3;
  position.x = 1;
  position.y = 7;
  
  pinMode(ControllerRightButtonPin, INPUT_PULLUP);
  pinMode(ControllerLeftButtonPin, INPUT_PULLUP);
  pinMode(13, OUTPUT);
}

void Controller::update()
{
  position.x = map(analogRead(ControllerPotPin) / 10, 0, 102, 8 - size, 0);
  
  rightButtonPressed = !digitalRead(ControllerRightButtonPin);
  leftButtonPressed = !digitalRead(ControllerLeftButtonPin);
  
  rightButtonWasPressed = (previousRightButtonPressed == true && rightButtonPressed == false);
  leftButtonWasPressed = (previousLeftButtonPressed == true && leftButtonPressed == false);

  digitalWrite(13, rightButtonPressed);
  
  previousRightButtonPressed = rightButtonPressed;
  previousLeftButtonPressed = leftButtonPressed;
}


